[Libreoffice-commits] .: Branch 'feature/bootstrap-build' - bin/unpack download_external_sources.sh

Norbert Thiebaud nthiebaud at kemper.freedesktop.org
Sun Nov 28 10:07:42 PST 2010


 bin/unpack                   |   27 +++++++++++----------------
 download_external_sources.sh |    7 +++++--
 2 files changed, 16 insertions(+), 18 deletions(-)

New commits:
commit 952f9f9f9f9e5907b353c69fc2df018021e99efe
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date:   Sun Nov 28 12:05:24 2010 -0600

    fix the build-repo based build to adjust to the bootstrap-based 'rawbuild'

diff --git a/bin/unpack b/bin/unpack
index ed1431b..b6face6 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -1,5 +1,9 @@
 #!/bin/sh
 
+if test -d ../clone ; then
+    echo "Due to change in the build structure, you must run autogen and ./download again"
+    exit 1;
+fi
 #
 # See setup for user tweakables.
 #
@@ -40,15 +44,19 @@ check_tarball()
 
 check_git_repo()
 {
-    tree="$CLONEDIR/$1"
+    if test "$1" = "bootstrap" ; then
+	tree="$RAWBUILDDIR"
+    else
+	tree="$CLONEDIR/$1"
+    fi
     $echo_n "Checking for current branch of $tree ... $echo_c";
     BUILD_BRANCH=`git symbolic-ref HEAD|sed 's|.*/||'`
     if cd "$tree" >/dev/null 2>&1 ; then
         CURRENT_BRANCH=`git symbolic-ref HEAD|sed 's|.*/||'`
         if test "$CURRENT_BRANCH" = "$BUILD_BRANCH"; then
-            echo "ok"
+	    echo "ok"
         else
-            echo "warning, current branch is $CURRENT_BRANCH"
+	    echo "warning, current branch is $CURRENT_BRANCH"
         fi
     else
         echo "missing the $tree clone; run './download'"
@@ -303,19 +311,6 @@ if test "z$OOO_GIT" = "z" ; then
 	fi
     fi
 else
-    if test -d "$RAWBUILDDIR" ; then
-        echo "* removing old nonsplit dir: $RAWBUILDDIR"
-        rm -rf "$RAWBUILDDIR"
-    fi
-    mkdir "$RAWBUILDDIR"
-    echo "* creating symlinks in $RAWBUILDDIR"
-    for pkg in $CORE_PKGS; do
-	if test "$pkg" != "l10n" ; then
-	    # l10n cannot be easily handled in nonsplit/, we only copy it to
-	    # build dir (the one with the applied patches)
-	    ln -s "$CLONEDIR/$pkg"/* "$RAWBUILDDIR/"
-	fi
-    done
     if test -d $OOBUILDDIR; then
         echo "* removing old build dir: $OOBUILDDIR"
         rm -rf $OOBUILDDIR
diff --git a/download_external_sources.sh b/download_external_sources.sh
index a1e32d2..fe4046d 100755
--- a/download_external_sources.sh
+++ b/download_external_sources.sh
@@ -5,8 +5,11 @@
 export TARFILE_LOCATION
 export CLONEDIR
 
-if test -e $CLONEDIR/bootstrap/fetch_tarballs.sh -a -e $CLONEDIR/bootstrap/ooo.lst; then
-    $CLONEDIR/bootstrap/fetch_tarballs.sh $CLONEDIR/bootstrap/ooo.lst
+if test -e bootstrap/download -a -e bootstrap/ooo.lst; then
+    (
+        cd bootstrap
+        ./download ooo.lst
+    )
 else
     GIT_TAG=`echo $OOO_SOURCEDIRNAME | tr "a-z.-" "A-Z__"`
     tmp=`mktemp -q -d`


More information about the Libreoffice-commits mailing list